Bug 133622 - Complete URL at Source0, updated project URL, etc at spamassassin
Complete URL at Source0, updated project URL, etc at spamassassin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 06:09 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.0.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 11:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-09-25 06:09:12 EDT
Description of problem:
Spamassassin's spec file should get at complete URL at Source0, 
the "define" of "name" can be done using "Name:" and the project 
URL should be updated.

Version-Release number of selected component (if applicable):
spamassassin-3.0.0-1

Actual results / Expected results:
--- snipp ---
--- spamassassin.spec       2004-09-24 05:11:16.000000000 +0200
+++ spamassassin.spec.rsc   2004-09-25 12:08:49.000000000 +0200
@@ -1,19 +1,18 @@
 %define _use_internal_dependency_generator 0

-%define name spamassassin
 %define real_name Mail-SpamAssassin
 %define krb5backcompat %([ -a /usr/kerberos/include/krb5.h ] && echo 1 || echo 0)

 %{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

 Summary: Spam filter for email which can be invoked from mail delivery agents.
-Name: %{name}
+Name: spamassassin
 Version: 3.0.0
 Release: 1
 License: Apache License
 Group: Applications/Internet
-URL: http://spamassassin.org/
-Source0: Mail-SpamAssassin-3.0.0.tar.bz2
+URL: http://spamassassin.apache.org/
+Source0: http://www.apache.org/dist/%{name}/%{real_name}-%{version}.tar.bz2
 Source2: redhat_local.cf
 Source3: spamassassin-default.rc
 Source4: spamassassin-spamc.rc
--- snapp ---
Comment 1 Robert Scheck 2004-09-29 11:41:54 EDT
Changed in 3.0.0-2...thank you, Warren - closing now.

Note You need to log in before you can comment on or make changes to this bug.